import { Component, For, from } from 'solid-js';
import { peekCachedSignal } from '../../workers/cached-signals';
import Tree from '../tree';
import TrkIcon from '../../icons/human-footprints-svgrepo-com.svg?component-solid';
import { TrksegViewer } from '../trkseg';
import { findAddress } from '../../lib/osm';

interface Props {
  trkId: string;
  restrictToHierarchy?: any;
}

const TrkViewer: Component<Props> = ({ trkId, restrictToHierarchy }) => {
  const trk = peekCachedSignal({ id: trkId, method: 'getTrk' });
  console.log({ caller: 'TrkViewer', trkId, restrictToHierarchy, trk: trk() });
  const title = () => {
    return trk().name;
  };

  return (
    <Tree
      title={
        <>
          <TrkIcon width='24' height='24' /> {title()}
        </>
      }
      content={
        <div>
            
        </div>
      }
      subTree={
        <For
          each={Object.keys(restrictToHierarchy).filter((key: string) =>
            key.startsWith('gpx/')
          )}
        >
          {(key: string) => {
            return <TrksegViewer trksegId={key} />;
          }}
        </For>
      }
    />
  );
};

export default TrkViewer;
